#
# spec file for package esound (Version 0.2.36)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl alsa alsa-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils docbook-dsssl-stylesheets docbook-toys docbook-utils docbook_3 docbook_4 e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv iso_ent jadetex klogd latex-ucs less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libxml2 libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openjade openldap2-client opensp openssl pam pam-modules patch perl perl-SGMLS permissions popt procinfo procps psmisc pwdutils rcs readline resmgr rpm sed sgml-skel strace sysvinit tar tcpd tcpd-devel te_latex tetex texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           esound
BuildRequires:  alsa-devel audiofile-devel docbook-toys docbook-utils tcpd-devel
License:        GPL
Group:          System/Sound Daemons
Autoreqprov:    on
Summary:        A Sound Daemon for Enlightenment and GNOME
Version:        0.2.36
Release:        19.4
URL:            ftp://ftp.gnome.org/pub/gnome/sources/esound/
Source:         ftp://ftp.gnome.org/pub/gnome/sources/esound/0.2/%{name}-%{version}.tar.bz2
Source1:        esound.init
Source2:        sysconfig.esound
Patch:          esd-as.patch
Patch1:         esound-biarch.patch
Patch2:         esound-close-fds.patch
Patch3:         esound-logout-sound-167856.patch
# Suggest -32bit package for proper work of preloader for 32-bit apps.
%if %_lib != lib
%if %suse_version > 1000
Suggests:     esound-32bit
%endif
%endif
%if %suse_version > 800
PreReq:         %insserv_prereq %fillup_prereq
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A multiplexing and caching sound daemon. It can use ALSA or OSS for
sound output. Many projects, including Enlightenment and GNOME, use
esound to play and record their sounds.



Authors:
--------
    Carsten Haitzler <raster@redhat.com>
    Drazen Kacar  <dave@srce.hr>
    Elliot Lee  <sopwith@redhat.com>
    John Ellis  <johne@bellatlantic.net>
    Kjartan Maraas  <kmaraas@online.no>
    Raja R Harinath  <harinath@cs.umn.edu>
    Richard Boulton <rjb37@cam.ac.uk>
    Russell Steinthal  <rms39@columbia.edu>
    Scott Heavner  <sdh@po.cwru.edu>
    Timur Bakeyev <mc@bat.ru>
    Yo Ric Dude  <ericmit@ix.netcom.com>

%debug_package
%package devel
Summary:        EsounD Development Package
Group:          System/Sound Daemons
Requires:       %{name} = %{version} alsa-devel %(rpm -q --queryformat '%{NAME}' -f %_libdir/pkgconfig/audiofile.pc)

%description devel
EsounD development package.



Authors:
--------
    Carsten Haitzler <raster@redhat.com>
    Drazen Kacar  <dave@srce.hr>
    Elliot Lee  <sopwith@redhat.com>
    John Ellis  <johne@bellatlantic.net>
    Kjartan Maraas  <kmaraas@online.no>
    Raja R Harinath  <harinath@cs.umn.edu>
    Richard Boulton <rjb37@cam.ac.uk>
    Russell Steinthal  <rms39@columbia.edu>
    Scott Heavner  <sdh@po.cwru.edu>
    Timur Bakeyev <mc@bat.ru>
    Yo Ric Dude  <ericmit@ix.netcom.com>

%prep
%setup -q
%patch
%patch1
%patch2
%patch3

%build
autoreconf --force --install
CFLAGS="$RPM_OPT_FLAGS" \
./configure --prefix=%{_prefix} --sysconfdir=/etc  --libdir=%_libdir \
    --mandir=/usr/share/man \
    --with-libwrap \
    --enable-ipv6
make
find docs -type d -exec chmod 755 {} \;
find docs -type f -exec chmod 644 {} \;

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rmdir $RPM_BUILD_ROOT/usr/share/doc/esound/html
mkdir -p $RPM_BUILD_ROOT/etc/init.d
cp %{SOURCE1} $RPM_BUILD_ROOT/etc/init.d/esound
chmod +x $RPM_BUILD_ROOT/etc/init.d/esound
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -s ../../etc/init.d/esound $RPM_BUILD_ROOT/usr/sbin/rcesound
mkdir -p $RPM_BUILD_ROOT/var/adm/fillup-templates/
cp %{SOURCE2} $RPM_BUILD_ROOT/var/adm/fillup-templates/

%post
%run_ldconfig
%{fillup_and_insserv}

%postun
%run_ldconfig
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README AUTHORS COPYING.LIB INSTALL NEWS TODO TIPS MAINTAINERS docs/html
%config /etc/esd.conf
%_libdir/lib*.so.*
%{_prefix}/bin/esd
%{_prefix}/bin/esdcat
%{_prefix}/bin/esdctl
%{_prefix}/bin/esddsp
%{_prefix}/bin/esdfilt
%{_prefix}/bin/esdloop
%{_prefix}/bin/esdmon
%{_prefix}/bin/esdplay
%{_prefix}/bin/esdrec
%{_prefix}/bin/esdsample
%{_prefix}/share/man/man1/esdctl.1.gz
%{_prefix}/share/man/man1/esddsp.1.gz
%{_prefix}/share/man/man1/esdfilt.1.gz
%{_prefix}/share/man/man1/esdloop.1.gz
%{_prefix}/share/man/man1/esdmon.1.gz
%{_prefix}/share/man/man1/esdrec.1.gz
%{_prefix}/share/man/man1/esdsample.1.gz
%{_prefix}/share/man/man1/esd.1.gz
%{_prefix}/share/man/man1/esdcat.1.gz
%{_prefix}/share/man/man1/esdplay.1.gz
/usr/sbin/*
%config /etc/init.d/*
/var/adm/fillup-templates/*

%files devel
%defattr(-, root, root)
%{_prefix}/bin/esd-config
%{_prefix}/include/*
%{_prefix}/share/aclocal/*
%{_prefix}/share/man/man1/esd-config.1.gz
%_libdir/lib*.*a
%_libdir/lib*.so
%_libdir/pkgconfig/esound.pc

%changelog -n esound
* Tue May 23 2006 - joeshaw@suse.de
- Add a patch to fix the GNOME logout sound being cut off.
  (bnc #167856)
* Thu Mar 02 2006 - danw@suse.de
- close unneeded file descriptors at daemon startup (since it may
  have been spawned from a random app with random things open). #154072
* Fri Jan 27 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 24 2006 - sbrabec@suse.cz
- Bi-arch preloader fix of esddsp (#140505).
* Tue Jun 21 2005 - sbrabec@suse.cz
- Updated to version 0.2.36.
- Support for tcp_wrappers and IPv6.
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Tue Apr 12 2005 - ro@suse.de
- added audiofile-devel to neededforbuild
* Thu Jan 27 2005 - tiwai@suse.de
- fixed the sound playback with dmix plugin.
* Fri Dec 03 2004 - sbrabec@suse.cz
- Fixed sound device blocking, if spawned esd caches samples - use -as
  twice in esd.conf, weaken requirements for -terminate (#45741).
* Fri Oct 01 2004 - sbrabec@suse.cz
- Free audio device by default (#46507).
* Tue Aug 24 2004 - sbrabec@suse.cz
- Updated to version 0.2.35.
* Wed Mar 03 2004 - sbrabec@suse.cz
- Updated to version 0.2.33.
* Fri Jan 16 2004 - pth@suse.de
- Fix quoting in esd.m4
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Tue Sep 09 2003 - sbrabec@suse.cz
- Updated to version 0.2.32.
* Fri Aug 29 2003 - sbrabec@suse.cz
- Check -terminate in persistent daemon mode.
* Wed Aug 13 2003 - sbrabec@suse.cz
- Updated to version 0.2.31.
* Mon Aug 04 2003 - sbrabec@suse.cz
- Updated to version 0.2.30.
* Thu Jun 12 2003 - kukuk@suse.de
- Correct filelist
* Mon Jun 02 2003 - sbrabec@suse.cz
- Added init script for network sound server.
* Thu May 15 2003 - sbrabec@suse.cz
- Typo fix (NBSP characters).
* Thu May 15 2003 - sbrabec@suse.cz
- Require alsa-devel for esound-devel.
* Mon May 12 2003 - ro@suse.de
- do full autoreconf (run libtool)
* Mon Feb 24 2003 - sbrabec@suse.cz
- Updated esd man page.
* Fri Nov 29 2002 - sbrabec@suse.cz
- Added esound ALSA fix (from Takashi Iwai, closes #22163).
* Fri Nov 29 2002 - sbrabec@suse.cz
- Use OSS instead of ALSA, until bug #22163 gets solved.
* Thu Oct 24 2002 - hhetter@suse.de
- invoke automake with -c to ensure file copying
  (Bug Id #21066)
* Mon Oct 14 2002 - sbrabec@suse.cz
- Update to version 0.2.29. Removed esd-alsa-dev.dif - similar fix is now
  part of code.
- Added manual pages to %%files.
* Fri Sep 20 2002 - tiwai@suse.de
- added alsa-devel to neededforbuild.
- fixed alsa output to reflect the change via -d option.
* Tue Sep 17 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild. Esound now uses ALSA.
* Mon Aug 26 2002 - nadvornik@suse.cz
- fixed permissions of doc files
* Thu Jun 20 2002 - jordi@suse.de
- updated to version 0.2.28
* Mon Jun 17 2002 - ro@suse.de
- call automake with "-a -f"
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 0.2.27
* Tue Jun 04 2002 - hhetter@suse.de
- updated to version 0.2.26
* Fri May 31 2002 - adrian@suse.de
- fix build for ppc64
* Fri Apr 26 2002 - coolo@suse.de
- %%_libdir support
* Wed Jan 09 2002 - hhetter@suse.de
- updated to version 0.2.23
  * pkgconfig file for GNOME 2.0 compatibility
- adapted ia64 include file fix
* Fri May 25 2001 - nadvornik@suse.cz
- fixed include files for ia64
* Mon Dec 25 2000 - egger@suse.de
- Cleaned up specfile.
- Changed group of development package.
- Recompressed sources with bzip2.
* Sat Dec 09 2000 - egger@suse.de
- Updated to version 0.2.22.
* Mon Nov 06 2000 - tiwai@suse.de
- Split esound-devel package.
* Wed Nov 01 2000 - egger@suse.de
- Updated specfile to new long packagenames.
- Reworked specfile.
- Probably needs some more work; I'm taking care of that.
* Fri Sep 29 2000 - hhetter@suse.de
- added security patch
* Wed Sep 06 2000 - egger@suse.de
- Updated to version 0.2.19.
* Fri Sep 01 2000 - tiwai@suse.de
- fixed the bug of 0.2.18 (playing too short without synchronized).
* Fri May 26 2000 - ke@suse.de
- update to version 0.2.18.
- add html docs.
* Thu May 11 2000 - ke@suse.de
- Improve files list to catch missing shared libs (don't trust wildcards
  too much; you'll never know).
* Fri Apr 07 2000 - bk@suse.de
- added suse update config macro
* Thu Mar 30 2000 - cihlar@suse.cz
- update to version 2.17
- clean up spec file
* Tue Dec 14 1999 - ro@suse.de
- fixed install (broke with BuildRoot)
* Fri Nov 05 1999 - ke@suse.de
- Update to version 0.2.16 (security fixes and more).
- Use BuildRoot.
- Use RPM_OPT_FLAGS (instead of RPM_OPT_FLAG ...)
- Correct Copyright.
- Add "Group:" entry.
* Mon Oct 25 1999 - kukuk@suse.de
- Update to version 0.2.15
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue May 04 1999 - mb@suse.de
- updated to new version 0.2.8
* Fri Feb 19 1999 - mb@suse.de
- fixed lib problems
* Tue Feb 16 1999 - mb@suse.de
- new version 0.2.7 needed for enlightenment, gnome and emusic
* Sat Jul 18 1998 - mb@suse.de
- first inital version 0.2 of the esound (Enlightenment sound daemon)
